# Type Alias Req

type Req = {
__: (s: string) => string;
body: any;
csrfToken: () => string;
flash: (flash_type: "warning" | "success", message: string) => void;
get: (s: string) => string;
getLocale: () => string;
headers: GenObj;
hostname?: string;
isAuthenticated: () => boolean;
protocol?: string;
query: GenObj;
sessionID?: string;
user?: AbstractUser;
xhr: boolean;
[k: string]: any;
}

#### Indexable

- [k: string]: any

- Defined in base_types.ts:437

##### Index

### Properties

__
body
csrfToken
flash
get
getLocale
headers
hostname?
isAuthenticated
protocol?
query
sessionID?
user?
xhr

## Properties

### __

__: (s: string) => string

- Defined in base_types.ts:446

### body

body: any

- Defined in base_types.ts:448

### csrfToken

csrfToken: () => string

- Defined in base_types.ts:441

### flash

flash: (flash_type: "warning" | "success", message: string) => void

- Defined in base_types.ts:439

### get

get: (s: string) => string

- Defined in base_types.ts:447

### getLocale

getLocale: () => string

- Defined in base_types.ts:442

### headers

headers: GenObj

- Defined in base_types.ts:444

### `Optional` hostname

hostname?: string

- Defined in base_types.ts:451

### isAuthenticated

isAuthenticated: () => boolean

- Defined in base_types.ts:443

### `Optional` protocol

protocol?: string

- Defined in base_types.ts:450

### query

query: GenObj

- Defined in base_types.ts:438

### `Optional` sessionID

sessionID?: string

- Defined in base_types.ts:449

### `Optional` user

user?: AbstractUser

- Defined in base_types.ts:440

### xhr

xhr: boolean

- Defined in base_types.ts:445